Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.soap
Class SoapSerializer

    java.lang.Object
      org.codehaus.xfire.soap.SoapSerializer

All Implemented Interfaces:
  MessageSerializer

    public class SoapSerializer

extends java.lang.Object
implements MessageSerializer

Field Summary
`static java.lang.String` | `SERIALIZE_PROLOG`

Constructor Summary
`SoapSerializer(MessageSerializer serializer)`

Method Summary
`MessageSerializer` | `getSerializer()`
`void` | `readMessage(InMessage message, MessageContext context)`
`protected void` | `writeHeaders(AbstractMessage msg, javax.xml.stream.XMLStreamWriter writer)`
`void` | `writeMessage(OutMessage message, javax.xml.stream.XMLStreamWriter writer, MessageContext context)` Sends a message wrapped in a SOAP Envelope and Body.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZE_PROLOG

    public static final java.lang.String SERIALIZE_PROLOG

See Also:
  Constant Field Values

Constructor Detail

### SoapSerializer

    public SoapSerializer(MessageSerializer serializer)

Method Detail

### getSerializer

    public MessageSerializer getSerializer()

### writeMessage

    public void writeMessage(OutMessage message,
                             javax.xml.stream.XMLStreamWriter writer,
                             MessageContext context)
                      throws XFireFault

  Sends a message wrapped in a SOAP Envelope and Body.

  Specified by:
    `writeMessage` in interface `MessageSerializer`
  Parameters:
    `message` -
    `writer` -
    `context` -
  Throws:
    `XFireFault`

### writeHeaders

    protected void writeHeaders(AbstractMessage msg,
                                javax.xml.stream.XMLStreamWriter writer)
                         throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### readMessage

    public void readMessage(InMessage message,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `readMessage` in interface `MessageSerializer`
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.